View Issue Details

IDProjectCategoryView StatusLast Update
0035970LazarusCompilerpublic2019-10-12 03:07
ReporterTrevor RoydhouseAssigned ToDmitry Boyarintsev 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionno change required 
Platform2018 Apple Mac miniOSCatalinaOS Version10.15 beta 5
Product Version2.0.4Product Build 
Target VersionFixed in Version 
Summary0035970: SelectDirectory() and TSelectDirectoryDialog silently ignored
DescriptionUsing Lazarus 2.0.4 or 2.1 r61676, SelectDirectory() and TSelectDirectoryDialog are silently ignored on Catalina 10.15 beta 5 (ie there are no errors, the application just ignores calls to them).
Steps To ReproduceSelectDirectory('Select the GCB chipdata folder','',selectedDir);

or

selDir := TSelectDirectoryDialog.Create(nil);
 
      Try
           selDir.Title:='Select GCB data folder';
           if selDir.Execute then
                    selectedDir := selDir.FileName;
           finally
                    selDir.Free;
           end;
 
Additional InformationSee: https://forum.lazarus.freepascal.org/index.php/topic,46414.0.html

TagsNo tags attached.
Fixed in Revision
LazTarget-
WidgetsetCocoa
Attached Files

Activities

Trevor Roydhouse

2019-10-11 08:13

reporter   ~0118489

This issue was resolved by a later beta. The Catalina macOS 10.15 release does not have the problem.

Bart Broersma

2019-10-11 10:34

developer   ~0118490

As per original reporter.
Please close.

Trevor Roydhouse

2019-10-12 03:07

reporter   ~0118500

Issue resolved by later Catalina beta. Catalina release version does not have the issue. Closed :-)

Issue History

Date Modified Username Field Change
2019-08-16 03:49 Trevor Roydhouse New Issue
2019-08-16 03:51 Dmitry Boyarintsev Assigned To => Dmitry Boyarintsev
2019-08-16 03:51 Dmitry Boyarintsev Status new => confirmed
2019-08-16 03:51 Dmitry Boyarintsev LazTarget => -
2019-10-11 08:13 Trevor Roydhouse Note Added: 0118489
2019-10-11 10:34 Bart Broersma Status confirmed => resolved
2019-10-11 10:34 Bart Broersma Resolution open => no change required
2019-10-11 10:34 Bart Broersma Widgetset Cocoa => Cocoa
2019-10-11 10:34 Bart Broersma Note Added: 0118490
2019-10-12 03:07 Trevor Roydhouse Status resolved => closed
2019-10-12 03:07 Trevor Roydhouse Note Added: 0118500